liborigin2: OriginParser Class Reference

liborigin2 29/08/2011

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
OriginParser Class Referenceabstract

`#include <OriginParser.h>`

Inheritance diagram for OriginParser:

## Public Member Functions
int | findExcelByName (const string &name) const
int | findFunctionByName (const string &name) const
int | findMatrixByName (const string &name) const
int | findSpreadByName (const string &name) const
virtual bool | parse ()=0
void | setFileVersion (unsigned int version)
virtual | ~OriginParser ()

## Public Attributes
vector< Origin::Excel > | excels
unsigned int | fileVersion
vector< Origin::Function > | functions
vector< Origin::Graph > | graphs
vector< Origin::Matrix > | matrices
vector< Origin::Note > | notes
tree< Origin::ProjectNode > | projectTree
string | resultsLog
vector< Origin::SpreadSheet > | speadSheets
unsigned int | windowsCount

## Protected Member Functions
void | convertSpreadToExcel (vector< Origin::SpreadSheet >::size_type spread)
int | findColumnByIndexAndName (int spread, unsigned int index, const string &name)
int | findColumnByName (int spread, const string &name)
pair< string, string > | findDataByIndex (unsigned int index) const
int | findExcelColumnByName (int excel, int sheet, const string &name) const
pair< Origin::ProjectNode::NodeType, string > | findObjectByIndex (unsigned int index) const

## Constructor & Destructor Documentation

## ◆ ~OriginParser()

virtual OriginParser::~OriginParser | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ convertSpreadToExcel()

void OriginParser::convertSpreadToExcel | ( | vector< Origin::SpreadSheet >::size_type | spread | ) |
| protected

Referenced by Origin750Parser::parse().

## ◆ findColumnByIndexAndName()

int OriginParser::findColumnByIndexAndName | ( | int | spread,
|  | unsigned int | index,
|  | const string & | name
| ) |  |
| protected

Referenced by Origin800Parser::readSpreadInfo().

## ◆ findColumnByName()

int OriginParser::findColumnByName | ( | int | spread,
|  | const string & | name
| ) |  |
| protected

Referenced by Origin800Parser::readSpreadInfo(), and Origin750Parser::readSpreadInfo().

## ◆ findDataByIndex()

pair< string, string > OriginParser::findDataByIndex | ( | unsigned int | index | ) | const
| protected

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

## ◆ findExcelByName()

int OriginParser::findExcelByName | ( | const string & | name | ) | const

Referenced by Origin410Parser::parse(), Origin800Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), Origin750Parser::parse(), and Origin750Parser::readExcelInfo().

## ◆ findExcelColumnByName()

int OriginParser::findExcelColumnByName | ( | int | excel,
|  | int | sheet,
|  | const string & | name
| ) |  | const
| protected

References Origin::SpreadSheet::columns, and Origin::SpreadSheet::sheets.

Referenced by Origin750Parser::readExcelInfo().

## ◆ findFunctionByName()

int OriginParser::findFunctionByName | ( | const string & | name | ) | const

## ◆ findMatrixByName()

int OriginParser::findMatrixByName | ( | const string & | name | ) | const

Referenced by Origin410Parser::parse(), Origin500Parser::parse(), Origin800Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), Origin750Parser::parse(), Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), and Origin750Parser::readMatrixInfo().

## ◆ findObjectByIndex()

pair< ProjectNode::NodeType, string > OriginParser::findObjectByIndex | ( | unsigned int | index | ) | const
| protected

Referenced by Origin810Parser::readProjectTreeFolder(), and Origin750Parser::readProjectTreeFolder().

## ◆ findSpreadByName()

int OriginParser::findSpreadByName | ( | const string & | name | ) | const

Referenced by Origin410Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin800Parser::parse(), Origin610Parser::parse(), OriginDefaultParser::parse(), Origin750Parser::parse(), Origin800Parser::readSpreadInfo(), and Origin750Parser::readSpreadInfo().

## ◆ parse()

virtual bool OriginParser::parse | ( |  | ) |
| pure virtual

Implemented in Origin750Parser, OriginDefaultParser, Origin410Parser, Origin500Parser, Origin610Parser, Origin700Parser, and Origin800Parser.

## ◆ setFileVersion()

void OriginParser::setFileVersion | ( | unsigned int | version | ) |
| inline

References fileVersion.

## Member Data Documentation

## ◆ excels

vector<Origin::Excel> OriginParser::excels

Referenced by Origin750Parser::readExcelInfo().

## ◆ fileVersion

unsigned int OriginParser::fileVersion

Referenced by Origin800Parser::parse(), and setFileVersion().

## ◆ functions

vector<Origin::Function> OriginParser::functions

Referenced by Origin410Parser::parse(), Origin800Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin610Parser::parse(), Origin750Parser::parse(), and Origin750Parser::readFunction().

## ◆ graphs

vector<Origin::Graph> OriginParser::graphs

Referenced by Origin410Parser::parse(), Origin610Parser::parse(), Origin500Parser::parse(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

## ◆ matrices

vector<Origin::Matrix> OriginParser::matrices

Referenced by Origin410Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin800Parser::parse(), Origin610Parser::parse(), Origin750Parser::parse(), Origin610Parser::readMatrixInfo(), Origin800Parser::readMatrixInfo(), Origin750Parser::readMatrixInfo(), Origin750Parser::readMatrixValues(), and Origin750Parser::readProjectTree().

## ◆ notes

vector<Origin::Note> OriginParser::notes

Referenced by Origin750Parser::parse(), Origin500Parser::readNotes(), Origin800Parser::readNotes(), Origin610Parser::readNotes(), Origin810Parser::readProjectTreeFolder(), and Origin750Parser::readProjectTreeFolder().

## ◆ projectTree

tree<Origin::ProjectNode> OriginParser::projectTree

Referenced by Origin750Parser::readProjectTree(), Origin810Parser::readProjectTreeFolder(), and Origin750Parser::readProjectTreeFolder().

## ◆ resultsLog

string OriginParser::resultsLog

Referenced by Origin750Parser::parse(), Origin800Parser::readResultsLog(), and Origin610Parser::readResultsLog().

## ◆ speadSheets

vector<Origin::SpreadSheet> OriginParser::speadSheets

Referenced by Origin410Parser::parse(), Origin500Parser::parse(), Origin700Parser::parse(), Origin800Parser::parse(), Origin610Parser::parse(), OriginDefaultParser::parse(), Origin750Parser::parse(), Origin750Parser::readColumnValues(), Origin800Parser::readSpreadInfo(), and Origin750Parser::readSpreadInfo().

## ◆ windowsCount

unsigned int OriginParser::windowsCount

Referenced by Origin750Parser::Origin750Parser(), Origin750Parser::readProjectTree(), Origin810Parser::readProjectTreeFolder(), and Origin750Parser::readProjectTreeFolder().

The documentation for this class was generated from the following files:

- /build/liborigin2/src/liborigin2/OriginParser.h
- /build/liborigin2/src/liborigin2/OriginParser.cpp